--- old/usr/src/uts/common/fs/fd/fdops.c	sam. juil. 16 15:14:07 2016
+++ new/usr/src/uts/common/fs/fd/fdops.c	sam. juil. 16 15:14:07 2016
@@ -318,19 +318,19 @@
 static struct vnodeops *fd_vnodeops;
 
 static const fs_operation_def_t fd_vnodeops_template[] = {
-	VOPNAME_OPEN,		{ .vop_open = fdopen },
-	VOPNAME_CLOSE,		{ .vop_close = fdclose },
-	VOPNAME_READ,		{ .vop_read = fdread },
-	VOPNAME_GETATTR,	{ .vop_getattr = fdgetattr },
-	VOPNAME_ACCESS,		{ .vop_access = fdaccess },
-	VOPNAME_LOOKUP,		{ .vop_lookup = fdlookup },
-	VOPNAME_CREATE,		{ .vop_create = fdcreate },
-	VOPNAME_READDIR,	{ .vop_readdir = fdreaddir },
-	VOPNAME_INACTIVE,	{ .vop_inactive = fdinactive },
-	VOPNAME_FRLOCK,		{ .error = fs_error },
-	VOPNAME_POLL,		{ .error = fs_error },
-	VOPNAME_DISPOSE,	{ .error = fs_error },
-	NULL,			NULL
+	{ VOPNAME_OPEN,		{ .vop_open = fdopen } },
+	{ VOPNAME_CLOSE,	{ .vop_close = fdclose } },
+	{ VOPNAME_READ,		{ .vop_read = fdread } },
+	{ VOPNAME_GETATTR,	{ .vop_getattr = fdgetattr } },
+	{ VOPNAME_ACCESS,	{ .vop_access = fdaccess } },
+	{ VOPNAME_LOOKUP,	{ .vop_lookup = fdlookup } },
+	{ VOPNAME_CREATE,	{ .vop_create = fdcreate } },
+	{ VOPNAME_READDIR,	{ .vop_readdir = fdreaddir } },
+	{ VOPNAME_INACTIVE,	{ .vop_inactive = fdinactive } },
+	{ VOPNAME_FRLOCK,	{ .error = fs_error } },
+	{ VOPNAME_POLL,		{ .error = fs_error } },
+	{ VOPNAME_DISPOSE,	{ .error = fs_error } },
+	{ NULL,			{ NULL } }
 };
 
 static int
@@ -479,11 +479,11 @@
 fdinit(int fstype, char *name)
 {
 	static const fs_operation_def_t fd_vfsops_template[] = {
-		VFSNAME_MOUNT,		{ .vfs_mount = fdmount },
-		VFSNAME_UNMOUNT,	{ .vfs_unmount = fdunmount },
-		VFSNAME_ROOT, 		{ .vfs_root = fdroot },
-		VFSNAME_STATVFS,	{ .vfs_statvfs = fdstatvfs },
-		NULL,			NULL
+		{ VFSNAME_MOUNT,	{ .vfs_mount = fdmount } },
+		{ VFSNAME_UNMOUNT,	{ .vfs_unmount = fdunmount } },
+		{ VFSNAME_ROOT, 	{ .vfs_root = fdroot } },
+		{ VFSNAME_STATVFS,	{ .vfs_statvfs = fdstatvfs } },
+		{ NULL,			{ NULL } }
 	};
 	int error;
 
@@ -558,8 +558,7 @@
 
 static struct modlinkage modlinkage = {
 	MODREV_1,
-	&modlfs,
-	NULL
+	{ &modlfs, NULL }
 };
 
 int
